Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/TOP_SRC/trcsub.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 7910)
@@ -457,5 +457,5 @@
       INTEGER  ::   ji, jj, jk   ! dummy loop indices
       REAL(wp) ::   zcoefu, zcoefv, zcoeff, z2dt, z1_2dt, z1_rau0   ! local scalars
-      REAL(wp), POINTER, DIMENSION(:,:) :: zhdiv
+      REAL(wp), DIMENSION(jpi,jpj) :: zhdiv
       !!---------------------------------------------------------------------
       !
@@ -463,5 +463,4 @@
       !
       ! Allocate temporary workspace
-      CALL wrk_alloc( jpi,jpj,   zhdiv )
 
       IF( kt == nittrc000 ) THEN
@@ -518,5 +517,4 @@
       END DO
       !
-      CALL wrk_dealloc( jpi,jpj,   zhdiv )
       !
       IF( nn_timing == 1 )  CALL timing_stop('trc_sub_ssh')
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/TOOLS/MISCELLANEOUS/rewrite_nemo.sh
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/TOOLS/MISCELLANEOUS/rewrite_nemo.sh	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/TOOLS/MISCELLANEOUS/rewrite_nemo.sh	(revision 7910)
@@ -174,6 +174,6 @@
 # OPA_SRC/DYN/divcur.F90
 #./OPA_SRC/DYN/divcur.F90:      CALL wrk_alloc( jpi+4, jpj  , zwv, kjstart = -1 )
-sed -e "s/DIMENSION(jpi+4,jpj)/DIMENSION(-1:jpi+2,jpj)/" OPA_SRC/DYN/divcur.F90 > tmp$$
-mv tmp$$ OPA_SRC/DYN/divcur.F90
+#sed -e "s/DIMENSION(jpi+4,jpj)/DIMENSION(-1:jpi+2,jpj)/" OPA_SRC/DYN/divcur.F90 > tmp$$
+#mv tmp$$ OPA_SRC/DYN/divcur.F90
 
 # OPA_SRC/LDF/ldfslp.F90
@@ -185,6 +185,6 @@
 # OPA_SRC/ZDF/zdfkpp.F90
 #./OPA_SRC/ZDF/zdfkpp.F90:      CALL wrk_alloc( jpi,3, zmoek, kjstart = 0 )
-sed -e "s/DIMENSION(jpi,3) *::* zmoek/DIMENSION(jpi,0:2) ::   zmoek/" OPA_SRC/ZDF/zdfkpp.F90 > tmp$$
-mv tmp$$ OPA_SRC/ZDF/zdfkpp.F90
+#sed -e "s/DIMENSION(jpi,3) *::* zmoek/DIMENSION(jpi,0:2) ::   zmoek/" OPA_SRC/ZDF/zdfkpp.F90 > tmp$$
+#mv tmp$$ OPA_SRC/ZDF/zdfkpp.F90
 
 # links 
@@ -192,9 +192,4 @@
 # find . -type l
 #
-# ./LIM_SRC_2/limrhg.F90
-cd LIM_SRC_2
-ln -sf ../LIM_SRC_3/limrhg.F90 .
-cd ..
-
 # ./OOO_SRC/dtadyn.F90
 cd OOO_SRC
